Index: res/res_jabber.c
===================================================================
--- res/res_jabber.c	(revision 38973)
+++ res/res_jabber.c	(working copy)
@@ -50,6 +50,7 @@
 #include "asterisk/module.h"
 #include "asterisk/astobj.h"
 #include "asterisk/astdb.h"
+#include "asterisk/manager.h"
 
 #define JABBER_CONFIG "jabber.conf"
 
@@ -419,6 +420,7 @@
 static void aji_log_hook(void *data, const char *xmpp, size_t size, int is_incoming)
 {
 	struct aji_client *client = ASTOBJ_REF((struct aji_client *) data);
+	manager_event(EVENT_FLAG_USER, "JabberMessage", "Account: %s\r\nMessage: %s", client->name, xmpp);
 	if (client->debug == 1) {
 		if (is_incoming)
 			ast_verbose("\nJABBER: %s INCOMING: %s\n", client->name, xmpp);
